Index: trunk/NEMO/OPA_SRC/SOL/solver.F90
===================================================================
--- trunk/NEMO/OPA_SRC/SOL/solver.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/SOL/solver.F90	(revision 1601)
@@ -4,26 +4,34 @@
    !! Ocean solver :  initialization of ocean solver
    !!=====================================================================
-
+   !! History :  OPA  ! 1990-10  (G. Madec)  Original code           
+   !!                 ! 1993-02  (O. Marti)                         
+   !!                 ! 1997-02  (G. Madec)  local depth inverse computation
+   !!                 ! 1998-10  (G. Roullet, G. Madec)  free surface 
+   !!   NEMO     1.0  ! 2003-07  (G. Madec)  free form, F90
+   !!            3.2  ! 2009-07  (R. Benshila) suppression of rigid-lid & FETI solver
+   !!----------------------------------------------------------------------
+#if defined key_dynspg_flt   ||   defined key_esopa  
+   !!----------------------------------------------------------------------
+   !!   'key_dynspg_flt'                              filtered free surface
    !!----------------------------------------------------------------------
    !!   solver_init: solver initialization
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce             ! ocean dynamics and tracers variables
    USE dom_oce         ! ocean space and time domain variables 
    USE zdf_oce         ! ocean vertical physics variables
    USE sol_oce         ! solver variables
-   USE solmat          ! ???
+   USE dynspg_oce      ! choice/control of key cpp for surface pressure gradient
+   USE solmat          ! matrix of the solver
    USE obc_oce         ! Lateral open boundary condition
    USE in_out_manager  ! I/O manager
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE lib_mpp
-   USE dynspg_oce      ! choice/control of key cpp for surface pressure gradient
 
    IMPLICIT NONE
 
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! NEMO/OPA 9.0 , LOCEAN-IPSL (2009) 
    !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -34,108 +42,67 @@
       !!                  ***  ROUTINE solver_init  ***
       !!                   
-      !! ** Purpose :   Initialization for the solver of the elliptic equation:
-      !!       * lk_dynspg_flt = T : transport divergence system. 
+      !! ** Purpose :   Initialization of the elliptic solver
       !!      
-      !! ** Method :
-      !!       - Compute the local depth of the water column at u- and v-point
-      !!      The local depth of the water column is computed by summing 
-      !!      the vertical scale factors. For its inverse, the thickness of
-      !!      the first model level is imposed as lower bound. The inverse of
-      !!      this depth is THEN taken and masked, so that the inverse of the
-      !!      local depth is zero when the local depth is zero.
+      !! ** Method  :   a solver is required when using the filtered free
+      !!              surface. 
       !!
-      !! ** Action : - hur, hvr : masked inverse of the local depth at
-      !!                                u- and v-point.
-      !!             - hu, hv   : masked local depth at u- and v- points
-      !!             - c_solver_pt : nature of the gridpoint at which the
-      !!                                solver is applied
-      !! References :
-      !!      Jensen, 1986: adv. phys. oceanogr. num. mod.,ed. o brien,87-110.
-      !!      Madec & Marti, 1990: internal rep. LODYC, 90/03., 29pp.
+      !! ** Action  : - c_solver_pt : nature of the gridpoint at which the solver is applied
       !!
-      !! History :
-      !!        !  90-10  (G. Madec)  Original code           
-      !!        !  93-02  (O. Marti)                         
-      !!        !  97-02  (G. Madec)  local depth inverse computation
-      !!        !  98-10  (G. Roullet, G. Madec)  free surface 
-      !!   9.0  !  03-07  (G. Madec)  free form, F90
-      !!    "   !  05-11  (V. Garnier) Surface pressure gradient organization
+      !! References : Jensen, 1986: Adv. Phys. Oceanogr. Num. Mod.,Ed. O Brien,87-110.
       !!----------------------------------------------------------------------
-      !! * Arguments
       INTEGER, INTENT(in) :: kt
-
-      NAMELIST/namsol/ nsolv, nsol_arp, nmin, nmax, nmod, eps, resmax, sor, rnu
+      !!
+      NAMELIST/namsol/ nn_solv, nn_sol_arp, nn_nmin, nn_nmax, nn_nmod, rn_eps, rn_resmax, rn_sor
       !!----------------------------------------------------------------------
 
-      IF(lwp) THEN
+      IF(lwp) THEN                  !* open elliptic solver statistics file (only on the printing processors)
+         CALL ctl_opn( numsol, 'solver.stat', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, narea )
+      ENDIF
+
+      REWIND( numnam )              !* Namelist namsol : elliptic solver / free surface
+      READ  ( numnam, namsol )
+
+      IF(lwp) THEN                  !* Control print
          WRITE(numout,*)
          WRITE(numout,*) 'solver_init : solver to compute the surface pressure gradient'
          WRITE(numout,*) '~~~~~~~~~~~'
-         
-         ! open elliptic solver statistics file
-         CALL ctl_opn( numsol, 'solver.stat', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, narea )
-      ENDIF
-
-
-      ! 0. Define the solver parameters
-      !    ----------------------------
-      ! Namelist namsol : elliptic solver / free surface
-      REWIND( numnam )
-      READ  ( numnam, namsol )
-
-      ! 0. Parameter control and print
-      !    ---------------------------
-
-      ! Control print
-      IF(lwp) WRITE(numout,*) '          Namelist namsol : set solver parameters'
-
-      IF(lwp) THEN
-         WRITE(numout,*) '             type of elliptic solver            nsolv    = ', nsolv
-         WRITE(numout,*) '             absolute/relative (0/1) precision  nsol_arp = ', nsol_arp
-         WRITE(numout,*) '             minimum iterations for solver      nmin     = ', nmin
-         WRITE(numout,*) '             maximum iterations for solver      nmax     = ', nmax
-         WRITE(numout,*) '             frequency for test                 nmod     = ', nmod
-         WRITE(numout,*) '             absolute precision of solver       eps      = ', eps
-         WRITE(numout,*) '             absolute precision for SOR solver  resmax   = ', resmax
-         WRITE(numout,*) '             optimal coefficient of sor         sor      = ', sor
-         WRITE(numout,*) '             free surface parameter         rnu    = ', rnu
+         WRITE(numout,*) '   Namelist namsol : set solver parameters'
+         WRITE(numout,*) '      type of elliptic solver            nn_solv    = ', nn_solv
+         WRITE(numout,*) '      absolute/relative (0/1) precision  nn_sol_arp = ', nn_sol_arp
+         WRITE(numout,*) '      minimum iterations for solver      nn_nmin    = ', nn_nmin
+         WRITE(numout,*) '      maximum iterations for solver      nn_nmax    = ', nn_nmax
+         WRITE(numout,*) '      frequency for test                 nn_nmod    = ', nn_nmod
+         WRITE(numout,*) '      absolute precision of solver       rn_eps     = ', rn_eps
+         WRITE(numout,*) '      absolute precision for SOR solver  rn_resmax  = ', rn_resmax
+         WRITE(numout,*) '      optimal coefficient of sor         rn_sor     = ', rn_sor
          WRITE(numout,*)
       ENDIF
+      eps = rn_eps
 
-      IF( lk_dynspg_flt ) THEN
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '          free surface formulation'
-      ELSE
-         CALL ctl_stop( '          Choose only one surface pressure gradient calculation: filtered ',   &
-              &         '          Should not call this routine if dynspg_exp or dynspg_ts has been chosen' )
-      ENDIF
-
-      SELECT CASE ( nsolv )
-
-      CASE ( 1 )                ! preconditioned conjugate gradient solver
-         IF(lwp) WRITE(numout,*) '          a preconditioned conjugate gradient solver is used'
-         IF( jpr2di /= 0 .AND. jpr2dj /= 0 ) &
-            CALL ctl_stop( ' jpr2di and jpr2dj should be equal to zero' )
-
-      CASE ( 2 )                ! successive-over-relaxation solver
-         IF(lwp) WRITE(numout,*) '          a successive-over-relaxation solver with extra outer halo is used'
-         IF(lwp) WRITE(numout,*) '          with jpr2di =', jpr2di, ' and  jpr2dj =', jpr2dj
+      SELECT CASE( nn_solv )          !* parameter check
+      !
+      CASE ( 1 )                          ! preconditioned conjugate gradient solver
+         IF(lwp) WRITE(numout,*) '   a preconditioned conjugate gradient solver is used'
+         IF( jpr2di /= 0 .AND. jpr2dj /= 0 )   CALL ctl_stop( ' jpr2di and jpr2dj should be equal to zero' )
+         !
+      CASE ( 2 )                          ! successive-over-relaxation solver
+         IF(lwp) WRITE(numout,*) '   a successive-over-relaxation solver with extra outer halo is used'
+         IF(lwp) WRITE(numout,*) '   with jpr2di =', jpr2di, ' and  jpr2dj =', jpr2dj
          IF( .NOT. lk_mpp .AND. jpr2di /= 0 .AND. jpr2dj /= 0 ) THEN
-             CALL ctl_stop( ' jpr2di and jpr2dj are not equal to zero',   &
-             &              ' In this case this algorithm should be used only with the key_mpp_... option' )
+             CALL ctl_stop( 'jpr2di and jpr2dj are not equal to zero',   &
+             &              'In this case the algorithm should be used only with the key_mpp_... option' )
          ELSE
             IF( ( ( jperio == 1 .OR. jperio == 4 .OR. jperio == 6 ) .OR. ( jpni /= 1 ) ) &
-              &  .AND. ( jpr2di /= jpr2dj ) ) CALL ctl_stop( '          jpr2di should be equal to jpr2dj' )
+              &  .AND. ( jpr2di /= jpr2dj ) )   CALL ctl_stop( 'jpr2di should be equal to jpr2dj' )
          ENDIF
-
-      CASE DEFAULT
-         WRITE(ctmp1,*) '          bad flag value for nsolv = ', nsolv
+         !
+      CASE DEFAULT                        ! error in parameter
+         WRITE(ctmp1,*) '          bad flag value for nn_solv = ', nn_solv
          CALL ctl_stop( ctmp1 )
-         
       END SELECT
-
-      IF( nbit_cmp == 1 ) THEN
-         IF( nsolv /= 2 ) THEN
-            CALL ctl_stop( ' Reproductibility tests (nbit_cmp=1) require the SOR solver: nsolv = 2' )
+      !
+      IF( nbit_cmp == 1 ) THEN            ! reproductibility test SOR required
+         IF( nn_solv /= 2 ) THEN
+            CALL ctl_stop( ' Reproductibility tests (nbit_cmp=1) require the SOR solver: nn_solv = 2' )
          ELSE IF( MAX( jpr2di, jpr2dj ) > 0 ) THEN
             CALL ctl_stop( ' Reproductibility tests (nbit_cmp=1) require jpr2di = jpr2dj = 0' )
@@ -143,19 +110,14 @@
       END IF
 
-      ! Grid-point at which the solver is applied
-      ! -----------------------------------------
-
-      IF( lk_mpp ) THEN
-         c_solver_pt = 'S'   ! S=T with special staff ??? which one?
-      ELSE
-         c_solver_pt = 'T'
+      !                             !* Grid-point at which the solver is applied
+!!gm  c_solver_pt should be removed: nomore bsf, only T-point is used
+      IF( lk_mpp ) THEN   ;    c_solver_pt = 'S'   ! S=T with special staff ??? which one?
+      ELSE                ;    c_solver_pt = 'T'
       ENDIF
 
-      ! Construction of the elliptic system matrix
-      ! ------------------------------------------
-
-      CALL sol_mat( kt )
+      CALL sol_mat( kt )            !* Construction of the elliptic system matrix
       !
    END SUBROUTINE solver_init
+#endif
 
    !!======================================================================
Index: trunk/NEMO/OPA_SRC/TRA/traadv.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/traadv.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/TRA/traadv.F90	(revision 1601)
@@ -31,5 +31,5 @@
    PUBLIC   tra_adv    ! routine called by step module
  
-   !!* Namelist nam_traadv
+   !                                                   !!* Namelist namtra_adv *
    LOGICAL, PUBLIC ::   ln_traadv_cen2   = .TRUE.       ! 2nd order centered scheme flag
    LOGICAL, PUBLIC ::   ln_traadv_tvd    = .FALSE.      ! TVD scheme flag
@@ -136,11 +136,11 @@
       INTEGER ::   ioptio
 
-      NAMELIST/nam_traadv/ ln_traadv_cen2 , ln_traadv_tvd,    &
+      NAMELIST/namtra_adv/ ln_traadv_cen2 , ln_traadv_tvd,    &
          &                 ln_traadv_muscl, ln_traadv_muscl2, &
          &                 ln_traadv_ubs  , ln_traadv_qck
       !!----------------------------------------------------------------------
 
-      REWIND ( numnam )               ! Read Namelist nam_traadv : tracer advection scheme
-      READ   ( numnam, nam_traadv )
+      REWIND ( numnam )               ! Read Namelist namtra_adv : tracer advection scheme
+      READ   ( numnam, namtra_adv )
 
       IF(lwp) THEN                    ! Namelist print
@@ -148,11 +148,11 @@
          WRITE(numout,*) 'tra_adv_ctl : choice/control of the tracer advection scheme'
          WRITE(numout,*) '~~~~~~~~~~~'
-         WRITE(numout,*) '       Namelist nam_traadv : chose a advection scheme for tracers'
-         WRITE(numout,*) '          2nd order advection scheme     ln_traadv_cen2   = ', ln_traadv_cen2
-         WRITE(numout,*) '          TVD advection scheme           ln_traadv_tvd    = ', ln_traadv_tvd
-         WRITE(numout,*) '          MUSCL  advection scheme        ln_traadv_muscl  = ', ln_traadv_muscl
-         WRITE(numout,*) '          MUSCL2 advection scheme        ln_traadv_muscl2 = ', ln_traadv_muscl2
-         WRITE(numout,*) '          UBS    advection scheme        ln_traadv_ubs    = ', ln_traadv_ubs
-         WRITE(numout,*) '          QUICKEST advection scheme      ln_traadv_qck    = ', ln_traadv_qck
+         WRITE(numout,*) '   Namelist namtra_adv : chose a advection scheme for tracers'
+         WRITE(numout,*) '      2nd order advection scheme     ln_traadv_cen2   = ', ln_traadv_cen2
+         WRITE(numout,*) '      TVD advection scheme           ln_traadv_tvd    = ', ln_traadv_tvd
+         WRITE(numout,*) '      MUSCL  advection scheme        ln_traadv_muscl  = ', ln_traadv_muscl
+         WRITE(numout,*) '      MUSCL2 advection scheme        ln_traadv_muscl2 = ', ln_traadv_muscl2
+         WRITE(numout,*) '      UBS    advection scheme        ln_traadv_ubs    = ', ln_traadv_ubs
+         WRITE(numout,*) '      QUICKEST advection scheme      ln_traadv_qck    = ', ln_traadv_qck
     ENDIF
 
@@ -166,5 +166,5 @@
       IF( lk_esopa         )   ioptio =          1
 
-      IF( ioptio /= 1 )   CALL ctl_stop( 'Choose ONE advection scheme in namelist nam_traadv' )
+      IF( ioptio /= 1 )   CALL ctl_stop( 'Choose ONE advection scheme in namelist namtra_adv' )
 
       IF( n_cla == 1 .AND. .NOT. ln_traadv_cen2 )   &
Index: trunk/NEMO/OPA_SRC/TRA/trabbc.F90
===================================================================
--- trunk/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 1601)
@@ -15,5 +15,4 @@
    !!   tra_bbc_init : initialization of geothermal heat flux trend
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce             ! ocean dynamics and active tracers
    USE dom_oce         ! ocean space and time domain
@@ -32,7 +31,7 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_trabbc = .TRUE.   !: bbc flag
 
-   !!* Namelist nambbc: bottom boundary condition
-   INTEGER  ::   ngeo_flux       = 1            ! Geothermal flux (0:no flux, 1:constant flux, 2:read in file )
-   REAL(wp) ::   ngeo_flux_const = 86.4e-3      ! Constant value of geothermal heat flux
+   !                                         !!* Namelist nambbc: bottom boundary condition *
+   INTEGER  ::   nn_geoflx     = 1            ! Geothermal flux (0:no flux, 1:constant flux, 2:read in file )
+   REAL(wp) ::   rn_geoflx_cst = 86.4e-3      ! Constant value of geothermal heat flux
 
    INTEGER , DIMENSION(jpi,jpj) ::   nbotlevt   ! ocean bottom level index at T-pt
@@ -42,5 +41,5 @@
 #  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
-   !!  OPA 9.0 , LOCEAN-IPSL (2006) 
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
    !! $Id$ 
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
@@ -54,9 +53,9 @@
       !!
       !! ** Purpose :   Compute the bottom boundary contition on temperature 
-      !!      associated with geothermal heating and add it to the general
-      !!      trend of temperature equations.
+      !!              associated with geothermal heating and add it to the 
+      !!              general trend of temperature equations.
       !!
       !! ** Method  :   The geothermal heat flux set to its constant value of 
-      !!       86.4 mW/m2 (Stein and Stein 1992, Huang 1999).
+      !!              86.4 mW/m2 (Stein and Stein 1992, Huang 1999).
       !!       The temperature trend associated to this heat flux through the
       !!       ocean bottom can be computed once and is added to the temperature
@@ -69,4 +68,5 @@
       !!
       !! References : Stein, C. A., and S. Stein, 1992, Nature, 359, 123-129.
+      !!              Emile-Geay and Madec, 2009, Ocean Science.
       !!----------------------------------------------------------------------
       USE oce, ONLY :   ztrdt => ua   ! use ua as 3D workspace   
@@ -75,9 +75,5 @@
       INTEGER, INTENT( in ) ::   kt   ! ocean time-step index
       !!
-#if defined key_vectopt_loop
-      INTEGER ::   ji       ! dummy loop indices
-#else
-      INTEGER ::   ji, jj   ! dummy loop indices
-#endif
+      INTEGER  ::   ji, jj    ! dummy loop indices
       REAL(wp) ::   zqgh_trd  ! geothermal heat flux trend
       !!----------------------------------------------------------------------
@@ -92,20 +88,18 @@
       ! Add the geothermal heat flux trend on temperature
 
-      SELECT CASE ( ngeo_flux )
+      SELECT CASE ( nn_geoflx )
       !
       CASE ( 1:2 )                !  geothermal heat flux
 #if defined key_vectopt_loop
-         DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
-            zqgh_trd = ro0cpr * qgh_trd0(ji,1) / fse3t(ji,1,nbotlevt(ji,1) )
-            ta(ji,1,nbotlevt(ji,1)) = ta(ji,1,nbotlevt(ji,1)) + zqgh_trd
-         END DO
+         DO jj = 1, 1
+            DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
 #else
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
+#endif
                zqgh_trd = ro0cpr * qgh_trd0(ji,jj) / fse3t(ji,jj,nbotlevt(ji,jj))
                ta(ji,jj,nbotlevt(ji,jj)) = ta(ji,jj,nbotlevt(ji,jj)) + zqgh_trd
             END DO
          END DO
-#endif
       END SELECT
 
@@ -115,5 +109,5 @@
       ENDIF
       !
-      IF(ln_ctl)   CALL prt_ctl(tab3d_1=ta, clinfo1=' bbc  - Ta: ', mask1=tmask, clinfo3='tra-ta')
+      IF(ln_ctl)   CALL prt_ctl( tab3d_1=ta, clinfo1=' bbc  - Ta: ', mask1=tmask, clinfo3='tra-ta' )
       !
    END SUBROUTINE tra_bbc
@@ -124,10 +118,9 @@
       !!                  ***  ROUTINE tra_bbc_init  ***
       !!
-      !! ** Purpose :   Compute once for all the trend associated with geo-
-      !!      thermal heating that will be applied at each time step at the
-      !!      bottom ocean level
+      !! ** Purpose :   Compute once for all the trend associated with geothermal
+      !!              heating that will be applied at each time step at the
+      !!              last ocean level
       !!
       !! ** Method  :   Read the nambbc namelist and check the parameters.
-      !!      called at the first time step (nit000)
       !!
       !! ** Input   : - Namlist nambbc
@@ -141,6 +134,6 @@
       INTEGER  ::   ji, jj              ! dummy loop indices
       INTEGER  ::   inum                ! temporary logical unit
-
-      NAMELIST/nambbc/ngeo_flux, ngeo_flux_const 
+      !!
+      NAMELIST/nambbc/nn_geoflx, rn_geoflx_cst 
       !!----------------------------------------------------------------------
 
@@ -148,13 +141,13 @@
       READ   ( numnam, nambbc )
 
-      !                              ! Control print
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'tra_bbc : tempearture Bottom Boundary Condition (bbc)'
-      IF(lwp) WRITE(numout,*) '~~~~~~~   Geothermal heatflux'
-      IF(lwp) WRITE(numout,*) '          Namelist nambbc : set bbc parameters'
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) '             Geothermal flux           ngeo_flux       = ', ngeo_flux
-      IF(lwp) WRITE(numout,*) '             Constant geothermal flux  ngeo_flux_const = ', ngeo_flux_const
-      IF(lwp) WRITE(numout,*)
+      IF(lwp) THEN                   ! Control print
+         WRITE(numout,*)
+         WRITE(numout,*) 'tra_bbc : temperature Bottom Boundary Condition (bbc), Geothermal heatflux'
+         WRITE(numout,*) '~~~~~~~   '
+         WRITE(numout,*) '   Namelist nambbc : set bbc parameters'
+         WRITE(numout,*) '      Geothermal flux            nn_geoflx     = ', nn_geoflx
+         WRITE(numout,*) '      Constant geothermal flux   rn_geoflx_cst = ', rn_geoflx_cst
+         WRITE(numout,*)
+      ENDIF
 
       !                              ! level of the ocean bottom at T-point
@@ -165,31 +158,28 @@
       END DO
 
-      SELECT CASE ( ngeo_flux )      ! initialization of geothermal heat flux
+      SELECT CASE ( nn_geoflx )      ! initialization of geothermal heat flux
       !
       CASE ( 0 )                ! no geothermal heat flux
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '             *** no geothermal heat flux'
+         IF(lwp) WRITE(numout,*) '      *** no geothermal heat flux'
          !
       CASE ( 1 )                ! constant flux
-         IF(lwp) WRITE(numout,*) '             *** constant heat flux  =   ', ngeo_flux_const
-         qgh_trd0(:,:) = ngeo_flux_const
+         IF(lwp) WRITE(numout,*) '      *** constant heat flux  =   ', rn_geoflx_cst
          !
-      CASE ( 2 )                ! variable geothermal heat flux
-         ! read the geothermal fluxes in mW/m2
+         qgh_trd0(:,:) = rn_geoflx_cst
          !
-         IF(lwp) WRITE(numout,*) '             *** variable geothermal heat flux'
+      CASE ( 2 )                ! variable geothermal heat flux : read the geothermal fluxes in mW/m2
+         IF(lwp) WRITE(numout,*) '      *** variable geothermal heat flux'
          CALL iom_open ( 'geothermal_heating.nc', inum )
-         CALL iom_get ( inum, jpdom_data, 'heatflow', qgh_trd0 )
-         CALL iom_close (inum)
+         CALL iom_get  ( inum, jpdom_data, 'heatflow', qgh_trd0 )
+         CALL iom_close( inum )
          !
          qgh_trd0(:,:) = qgh_trd0(:,:) * 1.e-3 ! conversion in W/m2
          !
       CASE DEFAULT
-         WRITE(ctmp1,*) '     bad flag value for ngeo_flux = ', ngeo_flux
+         WRITE(ctmp1,*) '     bad flag value for nn_geoflx = ', nn_geoflx
          CALL ctl_stop( ctmp1 )
          !
       END SELECT
-
-
+      !
    END SUBROUTINE tra_bbc_init
 
